<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/REC-html40/loose.dtd">
<html>
<head>
  <title>Tor: Instructions d'Installation de SwitchProxy</title>
  <meta name="Author" content="Roger Dingledine">
  <meta http-equiv="content-type" content="text/html; charset=UTF-8">
  <link rel="stylesheet" type="text/css" href="../stylesheet-ltr.css">
  <link rel="shortcut icon" type="image/x-icon" href="../favicon.ico">
</head>
<body>
<div class="center">
<table class="banner" border="0" cellpadding="0" cellspacing="0" summary="">
    <tr>
        <td class="banner-left"><a href="https://www.torproject.org/"><img src="../images/top-left.png" alt="Click to go to home page" width="193" height="79"></a></td>
        <td class="banner-middle">
	<a href="../index.html.fr">Accueil</a>
<a href="../overview.html.fr">Vue d'ensemble</a>
<a href="../download.html.fr">Téléchargement</a>
<a href="../documentation.html.fr">Docs</a>
<a href="../volunteer.html.fr">Contribuer</a>
<a href="../people.html.fr">Auteurs</a>
<a href="https://blog.torproject.org/">Blog</a>
<a href="../donate.html.fr">Faites un Don!</a>
        </td>
        <td class="banner-right">
	<img src="../images/green-flagspace.png" alt="" width="24" height="16"> <a href="tor-switchproxy.html.en"><acronym title="English"><img src="../images/en.png" alt="English" width="24" height="16"></acronym></a> <a href="tor-switchproxy.html.es"><acronym title="espa&ntilde;ol"><img src="../images/es.png" alt="espa&ntilde;ol" width="24" height="16"></acronym></a> <img src="../images/green-flagspace.png" alt="" width="24" height="16"> <img src="../images/green-flagspace.png" alt="" width="24" height="16"> <acronym title="fran&ccedil;ais"><img src="../images/fr.png" alt="fran&ccedil;ais" width="24" height="16"></acronym> <a href="tor-switchproxy.html.it"><acronym title="Italiano"><img src="../images/it.png" alt="Italiano" width="24" height="16"></acronym></a> <img src="../images/green-flagspace.png" alt="" width="24" height="16"> <img src="../images/green-flagspace.png" alt="" width="24" height="16"> <img src="../images/green-flagspace.png" alt="" width="24" height="16"> <img src="../images/green-flagspace.png" alt="" width="24" height="16"> <a href="tor-switchproxy.html.pl"><acronym title="polski"><img src="../images/pl.png" alt="polski" width="24" height="16"></acronym></a> <img src="../images/green-flagspace.png" alt="" width="24" height="16"> <img src="../images/green-flagspace.png" alt="" width="24" height="16"> <img src="../images/green-flagspace.png" alt="" width="24" height="16"> <img src="../images/green-flagspace.png" alt="" width="24" height="16"> <img src="../images/green-flagspace.png" alt="" width="24" height="16">
        </td>
    </tr>
</table>
<div class="center">
<div class="main-column">
<p>Note: SwitchProxy n'est plus le module recommandé pour utiliser Tor avec
 Firefox. <b>A la place, vous devriez utiliser le plugin <a
href="https://torbutton.torproject.org/">Torbutton</a>.</b> Nous laissons les intructions pour SwitchProxy
pour ceux qui préfèrent l'ancienne ( et plus difficile) approche ou qui ont des besoins plus complexes, par exemple comme lancer Tor sur un ordinateur différent de Firefox.
</p>
<h1>Installer SwitchProxy pour <a href="../index.html.fr">Tor</a></h1>
<hr>
<p>
SwitchProxy est un plugin Firefox qui rend facile pour vous, la bascule entre l'utilisation d'un proxy et la connexion directe à des sites Web.</p>
<p> Dans ce tutoriel, vous aurez mettrez en place SwitchProxy pour vous permettre de basculer entre l'utilisation de Tor et une connexion directe. Nous supposons que vous avez déjà installé Firefox et qu'il fonctionne.
</p>
<p> Les captures d'écran ici sont adaptées pour les utilisateurs de Windows, mais SwitchProxy fonctionne avec n'importe quel Firefox. Nous esperons que tout le monde arrive à suivre.
</p>
<hr>
<a id="zero"></a>
<h2><a class="anchor" href="#zero">Etape Zéro: Télécharger et Installer Tor et Privoxy</a></h2>
<br>
<p>Avant de commencer, vous devez être sûr que 1)Tor est installé et en fonctionnement, 2)Privoxy est installé et fonctionne, et 3)Privoxy est configuré pour pointer sur Tor.</p>
<p>Les utilisateurs de Windows doivent faire l'<a
href="../docs/tor-doc-windows.html.fr#installing">étape un</a>
du guide d'installation Tor pour Windows, et les utilisateurs d' OS X doivent faire l'<a
href="../docs/tor-doc-osx.html.fr#installing">étape un</a>
du guide d'installation de Tor pour OS X, depuis que nous packs Win32 et OS X incluent
Privoxy déjà configuré. Les utilisateurs Linux/BSD/Unix doivent faire l'<a
href="../docs/tor-doc-unix.html.fr#installing">étape un</a>
et l'<a href="../docs/tor-doc-unix.html.fr#privoxy">étape deux</a> du guide d'installation de Tor pour Unix.
</p>
<hr>
<a id="one"></a>
<h2><a class="anchor" href="#one">Etape Un: Télécharger et Installer SwitchProxy</a></h2>
<br>
<p>SwitchProxy est un plugin Firefox, vous devez donc passer par le processus d'installation d'un nouveau plugin. Tout d'abord, allez à la page web <a
href="https://addons.mozilla.org/firefox/addon/125">SwitchProxy</a>. Activez JavaScript pour l'instant, puis cliquez sur "Installer maintenant":</p>
<img alt="Page web Switchproxy"
src="../img/screenshot-switchproxy-webpage.jpg" width="698" height="527">
<p>Il apparaît une fenêtre demandant l'autorisation d'installer le plugin. Cliquez sur le bouton "Installer maintenant":</p>
<img alt="Alerte plugin Firefox"
src="../img/screenshot-switchproxy-plugin-starting.jpg" width="405" height="359">
<p>Une fois l'installation terminée, vous devez fermer toutes vos fenêtres Firefox et redémarrer Firefox.</p>
<img alt="Fin plugin Firefox"
src="../img/screenshot-switchproxy-plugin-finished.jpg" width="450" height="171">
<hr>
<a id="two"></a>
<h2><a class="anchor" href="#two">Etape Deux: Configurer SwitchProxy</a></h2>
<br>
<p>Lorsque vous relancez Firefox, vous remarquerez qu'il y a une nouvelle barre d'outils qui vous permet de contrôler vos proxys. Maintenant nous allons mettre en place une configuration de proxy pour Tor. Cliquez sur "Ajouter" dans la nouvelle barre d'outils de proxys:</p>
<img alt="nouvelle barre d outils"
src="../img/screenshot-switchproxy-toolbar.jpg" width="651" height="535">
<p>Il vous sera demandé de sélectionner un type de proxy. Choisissez "Standard". (Il est aussi un type "anonyme" de proxy qui utilise un ensemble ad hoc de proxys anonymes. Vous ne voulez pas de cela, parce que les autres proxys "anonymes" <a
href="https://wiki.torproject.org/noreply/TheOnionRouter/TorFAQ#ComparisonProxyAggregators">vous donnent une sécurité beaucoup plus faible que Tor</a>.)
</p>
<img alt="proxy standard"
src="../img/screenshot-switchproxy-proxytype.jpg" width="309" height="208">
<p>Maintenant, il vous montre la fenêtre standard de configuration de proxy pour Firefox. Donnez à cette configuration proxy une étiquette de "Tor". Ensuite, remplissez "localhost" et "8118" pour faire pointer les quatre premiers protocoles vers Privoxy, comme montré ici.(Même si Privoxy ne prend pas en charge FTP et Gopher, <a
href="https://wiki.torproject.org/noreply/TheOnionRouter/TorFAQ#FtpProxy">vous devez le mettre en place de toute façon</a>.) Vous devez également remplir le proxy SOCKS entrée au point directement sur Tor ( "localhost", "9050", et socks5) pour couvrir tous les protocoles autre que les quatre premiers. Puis cliquez sur "OK":</p>
<img alt="configuration proxy"
src="../img/screenshot-switchproxy-proxyconfig.jpg" width="430" height="434">
<p>Vous avez maintenant créé l'étiquette proxy "Tor", mais vous ne l'utilisez pas encore. Cliquez sur la liste déroulante et sélectionnez-le, comme montré ici:</p>
<img alt="basculer vers tor"
src="../img/screenshot-switchproxy-switch.jpg" width="671" height="558">
<p>Est presque terminée. Click "Apply" to make your change take effect: Cliquez sur "Appliquer" pour que vos modifications prennent effet:</p>
<img alt="appliquer"
src="../img/screenshot-switchproxy-apply.jpg" width="729" height="535">
<p>Terminé! Firefox recharge votre page en cours. Dans cet exemple de capture d'écran, il recharge la page et <a
href="https://wiki.torproject.org/noreply/TheOnionRouter/TorFAQ#GoogleLanguage">il a obtenu un noeud de sortie allemand</a>:</p>
<img alt="german google"
src="../img/screenshot-switchproxy-german.jpg" width="671" height="558">
<hr>
<a id="three"></a>
<h2><a class="anchor" href="#three">Etape Trois: Vérifier que cela fonctionne</a></h2>
<br>
<p>Firefox utilise maintenant Privoxy comme un proxy HTTP, Privoxy utilise comme un proxy socks4a , et Tor réalise vos connexions à l'Internet.</p>
<p>Dans l'exemple ci-dessus, il est clair que cela a fonctionné parce que la page Web est affichée dans une autre langue. Dans d'autres cas, cependant, vous voudrez vérifier que votre configuration fonctionne. Faîtes
l'<a href="../docs/tor-doc-windows.html.fr#verify">étape trois</a>
du guide d'installation de Tor pour Windows, ou
l'<a href="../docs/tor-doc-osx.html.fr#verify">étape trois</a>
du guide d'installation Tor pour OS X.</p>
<p>Vous devriez être au courant de attrape nigaud de l'anonymat: lorsque vous passez de l'utilisation de Tor à une connexion directe (ou vice versa), par défaut, la page qui est actuellement active sera rechargée par l'intermédiaire des nouveaux paramètres de proxy. Donc, assurez-vous que vous êtes sur une page qui n'est pas sensible, avant d'en changer. (Vous pouvez également modifier ce comportement dans le menu "Options | Préférences" de SwitchProxy.)</p>
<hr>
<p>Si vous avez des suggestions pour améliorer ce document, s’il vous plaît <a
href="../contact.html.fr">envoyez-les nous</a> Merci!</p>
  </div><!-- #main -->
</div>
</div>
  <div class="bottom" id="bottom">
     <p>
     <i><a href="../contact.html.fr" class="smalllink">Webmaster</a></i> -
      Dernière modification : Tue Jul 8 04:54:06 2008
      -
      Dernière compilation : Tue Sep 30 05:48:47 2008
     </p>
     <p>"Tor" et le Logo Onion sont des <a href="../trademark-faq.html.fr">marques déposées</a> du Projet Tor, Inc.
  	      </p>
     <p>
      Attention: Cette traduction peut être obsolète. La version anglaise originale est la
      16748 alors que la version traduite est basée sur la
      13768.
     </p>
     <p>
       Cette page est aussi disponible dans les langues suivantes :
       <a href="tor-switchproxy.html.en">English</a>, <a href="tor-switchproxy.html.es">espa&ntilde;ol</a>, <a href="tor-switchproxy.html.it">Italiano</a>, <a href="tor-switchproxy.html.pl">polski</a>.<br>
       Comment configurer la <a href="http://www.debian.org/intro/cn#howtoset">langue par défaut du document</a>.
     </p>
      <p>Les développeurs de Tor n'ont pas revu cette traduction en ce qui concerne la
      pertinence et l'exactitude. Elle peut être obsolète ou fausse. La version
      officielle du site web Tor est la version anglaise, disponible sur <a
      href="https://www.torproject.org/">https://www.torproject.org/</a>.
      </p>
  </div>
</body>
</html>
